#!/bin/bash
cd ${0%/*} || exit 1

resultDir=$PWD/results
dictDir=$PWD/dicts
orgDir=$PWD/org
mkdir -p $resultDir

for target in out top_shaft mid_bulk mid_shaft btm_bulk btm_shaft; do
targetDir=$resultDir/$target
    if [ ! -e $targetDir ]; then
        cp -r $orgDir $targetDir
    fi
    cp $dictDir/blockMeshDict.$target $targetDir/system/blockMeshDict
    blockMesh -case $targetDir | tee  $targetDir/log.blockMeshDict
rm -r $targetDir/dynamicCode
done
